HomeDocumentationAPI Endpoints
Log In
API Endpoints

Name Match Journey

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This journey enables the businesses to match the Name obtained from one source to another base value, to check for the accuracy of the data.

Journey Input Data

{
    "journey_id": "fuzzy_match_dev_test_v1",
    "transaction_id": "3c90a844-af27-49bf-ab9c-b3b3fcf0ba87",
    "input_data": {
        "match_unit": "NAME",
        "base_value": "kendrick lamar",
        "target_value": "frank ocean",
        "match_sensitivity":"",    
        "threshold": "20"
    }
}

Journey Output Data

{
  "status": "SUCCESS",
  "message": "Success",
  "status_code": "success",
  "transaction_id": "d06c203e-9101-42a9-ab9f-80c5cd49c2d1",
  "journey_transaction_id": "EQ.GT.08b9bfda-dd07-43a6-882e-7a33f8d944b8#fuzzy_match_dev_test_v1#d885911cf3fc4299a24f785edbf040fc",
  "journey_id": "fuzzy_match_dev_test_v1",
  "data": {
    "match_unit": "NAME",
    "base_value": "kendrick lamar",
    "target_value": "frank ocean",
    "insights": null,
    "match_result": "FAILED",
    "keys": null,
    "match_score": 32.0,
    "result_reason": "fuzzy string match failed"
  }
}

Status Codes

ScenarioHttp Status Codestatusstatus_codemessage
When the base value matched the target value200SUCCESSsuccesssuccess
When the base value doesnt match the target value200SUCCESSsuccesssuccess
Invalid Client Credentials401FAILUREinvalid_credentialsInvalid Client Credentials
Any unhandled error from Equal end500FAILUREinternal_server_errorSomething went wrong, please try again.
Too many requests429No object will be sent, throttling happens at the gateway level.
Service Unavailable503

Status (Journey Status)

Possible ValuesDescription
SUCCESSShows that the verification process was completed successfully.
FAILUREIndicates that the verification process did not succeed.
IN_PROGRESSSignifies that the verification process is currently underway and has not yet been completed.

Decision

Possible ValuesDescription
CLEARIndicates that the verification has been completed and the information is confirmed as accurate and legitimate.
MUST REVIEWSignifies that further review is needed due to potential issues or inconsistencies in the verification results.
NEEDS REVIEWSuggests that the verification has identified areas that require further investigation or clarification before a final determination can be made.
📘

Journey ID will be shared as part of Onboarding

Body Params
string
required

The exchange transaction ID is generated by invoking the Initialise Exchange Transaction API. This identifier groups various Verification Journey requests into a single transaction, enabling the sharing and accessing of data across different verification processes. This facilitates checks such as matching the Aadhaar name with the PAN name, comparing the Aadhaar photo with a live image, and more.

string
required
Defaults to fuzzy_match_dev_test_v1

A journey ID stores all the configuration details that are applied as part of the verification process. This ID is provided by Equal and is unique for each verification journey.

input_data
object
required

The dynamic journey input data object structure varies depending on the journey_id and the configurations set for the specific journey. For example, Name Match journeys will have input parameters like Name.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json